• Can't play movies and vlc doesn't start!


    In my case I just removed entire content from “/home/arafat/.config/vlc/” location & my problem solved. :)

  • I’m also facing the same issue with VLC palyer, it doesn’t open for me at all.

    I’ve tried to reinstall and fresh installations using terminal and pacman, but the issue persist.

    Mean time totem works just fine for me, but I like to use VLC, Its simple and powerful player.

    Please let me know anyone got any fix.

    [[email protected] ~]$ sudo pacman -Rsnc vlc
    [sudo] password for kuttootta: 
    checking dependencies...
    
    Packages (13) dcadec-0.2.0-1  ffmpeg2.8-2.8.7-4  libdvbpsi-1:1.3.0-1
                  libkate-0.4.1-5  libtar-1.2.20-2  libtiger-0.3.4-4
                  libupnp-1.6.20-1  npapi-vlc-2.2.2-1  phonon-qt4-vlc-0.9.0-1
                  phonon-qt5-vlc-0.9.0-1  sdl_image-1.2.12-3  zvbi-0.2.35-1
                  vlc-2.2.4-4
    
    Total Removed Size:  77.52 MiB
    
    :: Do you want to remove these packages? [Y/n] y
    :: Processing package changes...
    ( 1/13) removing phonon-qt5-vlc                    [######################] 100%
    ( 2/13) removing phonon-qt4-vlc                    [######################] 100%
    ( 3/13) removing npapi-vlc                         [######################] 100%
    ( 4/13) removing vlc                               [######################] 100%
    ( 5/13) removing zvbi                              [######################] 100%
    ( 6/13) removing sdl_image                         [######################] 100%
    ( 7/13) removing libupnp                           [######################] 100%
    ( 8/13) removing libtiger                          [######################] 100%
    ( 9/13) removing libkate                           [######################] 100%
    (10/13) removing libtar                            [######################] 100%
    (11/13) removing libdvbpsi                         [######################] 100%
    (12/13) removing ffmpeg2.8                         [######################] 100%
    (13/13) removing dcadec                            [######################] 100%
    :: Running post-transaction hooks...
    (1/2) Updating icon theme caches...
    (2/2) Updating the desktop file MIME type cache...
    [[email protected] ~]$ sudo pacman -S vlc
    resolving dependencies...
    looking for conflicting packages...
    
    Packages (10) dcadec-0.2.0-1  ffmpeg2.8-2.8.7-4  libdvbpsi-1:1.3.0-1
                  libkate-0.4.1-5  libtar-1.2.20-2  libtiger-0.3.4-4
                  libupnp-1.6.20-1  sdl_image-1.2.12-3  zvbi-0.2.35-1  vlc-2.2.4-4
    
    Total Installed Size:  76.54 MiB
    
    :: Proceed with installation? [Y/n] y
    (10/10) checking keys in keyring                   [######################] 100%
    (10/10) checking package integrity                 [######################] 100%
    (10/10) loading package files                      [######################] 100%
    (10/10) checking for file conflicts                [######################] 100%
    (10/10) checking available disk space              [######################] 100%
    :: Processing package changes...
    ( 1/10) installing libdvbpsi                       [######################] 100%
    ( 2/10) installing sdl_image                       [######################] 100%
    ( 3/10) installing libkate                         [######################] 100%
    Optional dependencies for libkate
        wxpython: for KateDJ
        liboggz: for KateDJ
    ( 4/10) installing libtiger                        [######################] 100%
    ( 5/10) installing zvbi                            [######################] 100%
    ( 6/10) installing dcadec                          [######################] 100%
    ( 7/10) installing ffmpeg2.8                       [######################] 100%
    Optional dependencies for ffmpeg2.8
        ladspa: LADSPA filters [installed]
    ( 8/10) installing libupnp                         [######################] 100%
    ( 9/10) installing libtar                          [######################] 100%
    (10/10) installing vlc                             [######################] 100%
    Optional dependencies for vlc
        avahi: for service discovery using bonjour protocol [installed]
        libnotify: for notification plugin [installed]
        gtk2: for notify plugin [installed]
        ncurses: for ncurses interface support [installed]
        libdvdcss: for decoding encrypted DVDs [installed]
        lirc: for lirc plugin
        libavc1394: for devices using the 1394ta AV/C [installed]
        libdc1394: for IEEE 1394 plugin [installed]
        kdelibs: KDE Solid hardware integration
        libva-vdpau-driver: vdpau back-end for nvidia
        libva-intel-driver: back-end for intel cards [installed]
        libbluray: for Blu-Ray support [installed]
        flac: for Free Lossless Audio Codec plugin [installed]
        portaudio: for portaudio support [installed]
        twolame: for TwoLAME mpeg2 encoder plugin
        projectm: for ProjectM visualisation plugin
        libcaca: for colored ASCII art video output [installed]
        libgme: for libgme plugin [installed]
        librsvg: for SVG plugin [installed]
        gnome-vfs: for GNOME Virtual File System support [installed]
        libgoom2: for libgoom plugin
        vcdimager: navigate VCD with libvcdinfo
        aalib: for ASCII art plugin [installed]
        libmtp: for MTP devices support [installed]
        smbclient: for SMB access plugin [installed]
        libcdio: for audio CD playback support [installed]
        ttf-freefont: for subtitle font 
        ttf-dejavu: for subtitle font [installed]
        opus: for opus support [installed]
        libssh2: for sftp support [installed]
        lua-socket: for http interface
        qt4: for the GUI
    :: Running post-transaction hooks...
    (1/3) Updating icon theme caches...
    (2/3) Updating the desktop file MIME type cache...
    (3/3) Updating the vlc plugin cache...
    [[email protected] ~]$ uname -a
    Linux EXPLORE 4.7.6-1-ARCH #1 SMP PREEMPT Fri Sep 30 19:28:42 CEST 2016 x86_64 GNU/Linux
    
    

    alt text

    Regards,
    Praveen

  • @Praveen Bro I already posted my solution :)
    Look into it :) Good luck

  • @arafat Cool dude, its working for me too. But I’d tried the solution before, at that it doesn’t work that is the reason I posted .

    Thank you so much, really appreciate for your help. 👍

  • @Praveen Pleasure is all mine :) :

  • @Sasha33 said in Can't play movies and vlc doesn't start!:

    I had same problem with VLC, turns out I had to install QT4 and it worked.

    @mikelp1973 said in Can't play movies and vlc doesn't start!:

    Install QT4.

    I had the same issue at first but after I installed QT4 dependencies it worked fine

  • @arafat said in Can't play movies and vlc doesn't start!:

    In my case I just removed entire content from “/home/arafat/.config/vlc/” location & my problem solved. :)

    Yes! This is the best solution.

  • $ vlc
    VLC media player 2.2.4 Weatherwax (revision 2.2.3-37-g888b7e89)
    [00000000007eb148] core libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
    [000000000091e9c8] skins2 interface error: no suitable dialogs provider found (hint: compile the qt4 plugin, and make sure it is loaded properly)
    [000000000091e9c8] skins2 interface error: cannot instantiate qt4 dialogs provider
    [000000000091e9c8] [cli] lua interface: Listening on host "*console".
    VLC media player 2.2.4 Weatherwax
    Command Line Interface initialized. Type `help' for help.
    > 
    

    $ cvlc
    VLC media player 2.2.4 Weatherwax (revision 2.2.3-37-g888b7e89)
    [0000000002189a98] dummy interface: using the dummy interface module…

    me  ...
    
    
  • @Sasha33 said in Can't play movies and vlc doesn't start!:

    I had same problem with VLC, turns out I had to install QT4 and it worked.

    Thanks!

  • @squirrel83 said in Can't play movies and vlc doesn't start!:

    @Sasha33 said in Can't play movies and vlc doesn't start!:

    I had same problem with VLC, turns out I had to install QT4 and it worked.

    @mikelp1973 said in Can't play movies and vlc doesn't start!:

    Install QT4.

    I had the same issue at first but after I installed QT4 dependencies it worked fine

    This worked perfectly for me! Thanks!!!

  • Vlc doesn’t open for the second time and so on. Vlc starts for the first time after a fresh boot but when you close vlc window it would not start for the second time no matter how much you try but ironically you can open vlc by typing ‘vlc’ in terminal.
    I had tried :
    a) sudo pacman -Rsnc vlc
    and then
    sudo pacman -S vlc
    b) I also tried installing QT4
    sudo pacman -S qt4
    but none of them worked at all. So my question is that should we abandon all hope of using
    ‘vlc’ if we are to use Antergos? Is Antergos team quite unable to fix this issue which is plaguing this distro for a very long time?

  • @jyotib652 please open a new thread, this one started 2016 …

    closing

vlc24 start3 movies2 Posts 32Views 19537
Log in to reply
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.